Gallery Platform API
Reference

Get an invoice template

Returns one named invoice presentation template.

GET
/gallery/invoice-templates/{id}

Returns one named invoice presentation template.

Authorization

bearerAuth gallery:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: gallery:read

Path Parameters

id*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "id": "string",  "name": "string",  "is_default": true,  "header_markdown": "string",  "footer_markdown": "string",  "terms_markdown": "string",  "payment_instructions_markdown": "string",  "default_caption": "string",  "accent_color": "string",  "font_family": "sans",  "font_id": "string",  "created_at": "string",  "updated_at": "string"}